petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPConvergedDefaultSetUMIRNorm

makes the default convergence test use min(|| B*(b - A*(initial guess))||,|| B*b ||) In the case of right preconditioner or if KSPSetNormType(ksp,KSP_NORM_UNPRECONDIITONED) is used there is no B in the above formula. UMIRNorm is short for Use Minimum Initial Residual Norm.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPConvergedDefaultSetUMIRNorm(KSP ksp)

Collective on KSP Many br

### Input Parameters

ksp -iterative context Many br

### Options Database

-ksp_converged_use_min_initial_residual_norm - Many brUse KSPSetTolerances() to alter the defaults for rtol, abstol, dtol. Many br

The precise values of reason are macros such as KSP_CONVERGED_RTOL, which Many brare defined in petscksp.h. Many br

Many br

### Keywords

KSP, default, convergence, residual

### See Also

KSPSetConvergenceTest(), KSPSetTolerances(), KSPConvergedSkip(), KSPConvergedReason, KSPGetConvergedReason(), KSPConvergedDefaultSetUIRNorm()

Level:intermediate
Location:src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages